main {
    display: flex;
    height: max-content;
}

.calculator {
    display: flex;
    width: 50%;
}

table {
    position: relative;
    background-color: #222;
    width: max-content;
    height: 325px;
    text-align: center;
    border-radius: 4px;
    padding-right: 10px;
    padding-top: 5em;
}

input {
    outline: 0;
    position: relative;
    left: 5px;
    top: 5px;
    border: 0;
    color: #495069;
    background-color: #fff;
    border-radius: 4px;
    width: 60px;
    height: 50px;
    margin: 5px 5px 15px 5px;
    font-size: 20px;
    box-shadow: 0 4px rgba(0,0,0,0.2);
}

input.interactive-button:hover {
    border: 0 solid #000;
    color: #495069;
    background-color: #fff;
    border-radius: 4px;
    height: 50px;
    margin: 5px;
    font-size: 20px;
    box-shadow: 0 4px #b0d2cf;
}

input:active {
    top: 4px;
    border: 0 solid #000;
    color: #495069;
    background-color: #fff;
    border-radius: 4px;
    height: 50px;
    margin: 5px;
    font-size: 20px;
    box-shadow: none;
}

#display {
    position: absolute;
    width: inherit;
    top: 25px;
    left: 25px;
    font-size: 26px;
    text-align: right;
    background-color: white;
    align-self: center;
    justify-self: center;
    justify-content: center;
    margin: auto;
    padding-right: 0.2em;
    z-index: 1;
}

.operator {
    background-color: #cee9ea;
    position: relative;
}

.operator:hover {
    background-color: #cee9ea;
    box-shadow: 0 4px #b0d2cf;
}

.operator:active {
    top: 4px;
    box-shadow: none;
}

#clear {
    position: relative;
    display: block;
    background-color: #ff9fa8;
}

#clear:hover {
    display: block;
    background-color: #F297A0;
    margin-bottom: 15px;
    box-shadow: 0 4px #CC7F86;
}

#clear:active {
    top: 4px;
    display: block;
    background-color: #F297A0;
    margin-bottom: 15px;
    box-shadow: none;
}

.log-container {
    width: 50%;
}

.log-block {
    display: flex;
    flex-direction: column;
    height: 29em;
    overflow-y: scroll;
    overflow-x: hidden;
    background-color: lightgray;
    flex-wrap: nowrap;
    margin-left: 5em;
}

.log-line {
    display: flex;
    width: 90%;
    justify-content: space-between;
    margin: 0.5em;
    align-self: center;
}

.log-line-circle {
    border: 0.1em solid red;
    border-radius: 100%;
    width: 1em;
    height: 1em;
    padding: 0.2em;
    text-align: center;
    align-self: center;
}

.log-line-circle.active {
    background-color: red;
}

.log-line-circle:hover {
    color: red;
}

.log-line-expression {
    font-size: 1.5em;
    max-width: 80%;
    text-align: start;
    align-self: center;
    overflow-wrap: anywhere;
}

.log-line-expression.underline {
    text-decoration: underline;
}

.log-line-icon {
    font-size: 2em;
    width: 7%;
    padding: 0.2em;
}

.log-line-icon:hover {
    color: red;
    cursor: pointer;
}